<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<!doctype html>
<html lang="fr_FR" class="no-js fullscreen">
<head>
    <meta charset="utf-8">
    <title>Éditeur de requête</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" />
    <link rel="stylesheet" href="styles/styles.css">
    <style>
        body { background: #CCC; }
    </style>
</head>
<body class="modal-open">

    <div class="modal fade in" role="dialog" id="myModal" tabindex="-1" aria-labelledby="myModalLabel" style="display: block;">
        <div class="modal-dialog modal-xl vqe-offcanvas-container" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="myModalLabel">Éditeur de requête</h4>
                </div>
                <div class="modal-body p-10" style=" background-color: #ecf0f5; height: 600px">
                    <visual-query-editor ng-model="query" ontology="ontology" mode="sparql"></visual-query-editor>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" onclick="alert(getScope().query)">Valider</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-backdrop fade in"></div>
    <script type="text/javascript" src="scripts/app.js"></script>
    <script>
        var devApp = angular.module('devApp', ['visual-query-editor']).
            run(function($rootScope, $http) {




                $rootScope.query = {
                    //"types": ["https://www.datatourisme.gouv.fr/ontology/core#PlaceOfInterest"],
//            "ast": {"or": [
//                 {"and": [
//                                    {"thesaurus": {path: ["https://www.datatourisme.gouv.fr/ontology/core#hasTheme"], value: null}}
//                                ]}
//                     ]}
                };

//                 $rootScope.query = {"types":["https://www.datatourisme.gouv.fr/ontology/core#PlaceOfInterest"],filters: [
//                     //{path: ["https://www.datatourisme.gouv.fr/ontology/core#hasBeenCreatedBy", "http://xmlns.com/foaf/0.1/nick"], value: "test"},
//                     //{path: ["https://www.datatourisme.gouv.fr/ontology/core#internetAccess"], value: true},
//                     {path: ["https://www.datatourisme.gouv.fr/ontology/core#isLocatedAt", "http://schema.org/geo"], value: [[48.1119800,-1.6742900],100]}
//                 ]};

//                $rootScope.query = {filters: [
//                    {type:"period", path: ["https://www.datatourisme.gouv.fr/ontology/core#takesPlaceAt", "https://www.datatourisme.gouv.fr/ontology/core#endDate"], value: ["2016-09-01", "2016-10-13"]},
//                    {type:"text", path: ["https://www.datatourisme.gouv.fr/ontology/core#hasBeenCreatedBy", "http://xmlns.com/foaf/0.1/nick"], value: "test"},
//                    {type:"boolean", path: ["https://www.datatourisme.gouv.fr/ontology/core#internetAccess"], value: true},
                    //{type:"thesaurus", path: ["https://www.datatourisme.gouv.fr/ontology/core#hasTheme"], value: ["http://www.datatourisme.fr/resource/core#InTheCountryside"]}
            //               ]};
            });

        $.get('ontology.json', function(data) {
            var ontology = Ontology.fromJson(data);
            devApp.config(['ontologyProvider', function(ontologyProvider) {
                ontologyProvider.setOntology(ontology);
            }]);
            angular.bootstrap(document, ['devApp']);
        });

        function getScope() {
            return angular.element("body").scope();
        }
    </script>
</body>
</html>
